std::array< _Tp, _Nm >(3cxx)

NAME
std::array< _Tp, _Nm > - A standard container for storing a fixed size sequence of elements.

SYNOPSIS

#include <array>

  Public Types

typedef const value_type * const_iterator
typedef const value_type * const_pointer
typedef const value_type & const_reference
typedef std::reverse_iterator< const_iterator > const_reverse_iterator
typedef std::ptrdiff_t difference_type
typedef value_type * iterator
typedef value_type * pointer
typedef value_type & reference
typedef std::reverse_iterator< iterator > reverse_iterator
typedef std::size_t size_type
typedef _Tp value_type

  Public Member Functions

constexpr reference at (size_type __n)
constexpr const_reference at (size_type __n) const
constexpr const_reference back () const noexcept
constexpr reference back () noexcept
constexpr const_iterator begin () const noexcept
constexpr iterator begin () noexcept
constexpr const_iterator cbegin () const noexcept
constexpr const_iterator cend () const noexcept
constexpr const_reverse_iterator crbegin () const noexcept
constexpr const_reverse_iterator crend () const noexcept
constexpr const_pointer data () const noexcept
constexpr pointer data () noexcept
constexpr bool empty () const noexcept
constexpr const_iterator end () const noexcept
constexpr iterator end () noexcept
constexpr void fill (const value_type &__u)
constexpr const_reference front () const noexcept
constexpr reference front () noexcept
constexpr size_type max_size () const noexcept
constexpr const_reference operator[] (size_type __n) const noexcept
constexpr reference operator[] (size_type __n) noexcept
constexpr const_reverse_iterator rbegin () const noexcept
constexpr reverse_iterator rbegin () noexcept
constexpr const_reverse_iterator rend () const noexcept
constexpr reverse_iterator rend () noexcept
constexpr size_type size () const noexcept
constexpr void swap (array &__other) noexcept(__array_traits< _Tp, _Nm >::_Is_nothrow_swappable::value)

  Public Attributes

__array_traits< _Tp, _Nm >::_Type _M_elems

Detailed Description

  template<typename _Tp, std::size_t _Nm>
struct std::array< _Tp, _Nm >"A standard container for storing a fixed size sequence of elements.

Meets the requirements of a container, a reversible container, and a sequence.

Sets support random access iterators.

Template Parameters
    Tp Type of element. Required to be a complete type.
    Nm Number of elements.

Author

Generated automatically by Doxygen for libstdc++ from the source code.